---
import FiltersProducts from "@/products/components/filters-products/FiltersProducts.astro";
import ListProducts from "@/products/components/list-products/ListProducts.astro";
import { getProducts } from "@/products/services/ProductsService";
import { limitDefault } from "@/shared/const/PaginatorProducts";
import UnloggedLayout from "@/shared/layouts/UnloggedLayout.astro";

const queryParams = new URL(Astro.url).searchParams;
const title = queryParams.get("search");
const categoryId = queryParams.get("category");
const limit = queryParams.get("limit") ?? limitDefault;
const offset = queryParams.get("offset") ?? "0";

const { products, maxPages } = await getProducts({
  limit,
  offset,
  title,
  categoryId,
});

const page = Math.floor(Number(offset) / Number(limit)) + 1;
---

<UnloggedLayout title="Home">
  <section class="flex min-h-full w-full">
    <aside class="h-min w-[300px]">
      <FiltersProducts />
    </aside>
    <article class="h-full w-full">
      <ListProducts products={products} maxPages={maxPages} page={page} />
    </article>
  </section>
</UnloggedLayout>
